<?cs # $Id$ ?>

<style type="text/css"><?cs include:Data.Plugins.partition.StyleSheetFile ?></style>

<h1><?cs var:html_escape(Lang.Plugins.partition.Title.Partition) ?></h1>

<?cs call:handle_messages() ?>

<?cs if:subcount(Data.Plugins.partition.BlockDevices) > 0 ?>

	<?cs call:print_form_header("select_device", "partition") ?>

		<?cs call:hint("Plugins.partition.DeviceDataIsLost") ?>

		<p><label for="block_device"><?cs var:html_escape(Lang.Plugins.partition.Text.SelectDevice) ?>: </label><br/>
		<select name="block_device" id="block_device" tabindex="1" size="0">
			<?cs each:x = Data.Plugins.partition.BlockDevices
				?><option value="<?cs var:html_escape(x.name) ?>"><?cs
					var:html_escape(x.name) ?> (<?cs var:html_escape(x.size) ?>)</option>
				<?cs /each ?>
		</select></p>

		<!--
		<p><input type="checkbox" name="create_config_partition" value="1" tabindex="2" id="create_config_partition" /><label for="create_config_partition"><?cs var:html_escape(Lang.Plugins.partition.Text.CreateConfigPartition) ?></label></p>
		<?cs if:Data.Plugins.partition.CreateConfigPartition ?>
			<input type="hidden" name="create_config_partition" value="1" />
		<?cs /if ?>
		-->

		<input type="hidden" name="step" value="add_partition" />

		<div align="center"><table><tr>
			<!-- we have to avoid an ugly IE bug, that ignores the "value" attribute
				of "button" elements: if a variable called 'easy' is set, then this
				button was choosen - uuuuuugly! -->
			<td><button type="submit" name="easy" value="1" tabindex="3"><?cs var:html_escape(Lang.Plugins.partition.Button.EasySetup) ?></button></td>
			<td><button type="submit" name="normal" value="1" tabindex="4"><?cs var:html_escape(Lang.Plugins.partition.Button.SelectDevice) ?></button></td>
		</tr></table></div>

	</form>

<?cs /if ?>

<?cs # a warning will be displayed if there are no disks available ?>

<?cs call:help_link("CryptoBoxUserConfiguration") ?>

