<?cs # $Id$ ?>

<h3><?cs var:html_escape(Lang.Plugins.volume_automount.Title.AutoMountVolume) ?></h3>

<?cs call:handle_messages() ?>

<?cs if:!Data.CurrentDisk.encryption ?>
	<p><?cs call:print_form_header("automount", "volume_automount") ?>
		<input type="hidden" name="device" value="<?cs var:html_escape(Data.CurrentDisk.device) ?>" />
		<?cs if:Data.Plugins.volume_automount.automount_setting ?>
			<?cs var:html_escape(Lang.Plugins.volume_automount.Text.AutoIsOn) ?>
			<input type="hidden" name="action" value="disable" />
			<button type="submit"><?cs var:html_escape(Lang.Plugins.volume_automount.Button.AutoMountOff) ?></button>
		<?cs else ?>
			<?cs var:html_escape(Lang.Plugins.volume_automount.Text.AutoIsOff) ?>
			<input type="hidden" name="action" value="enable" />
			<button type="submit"><?cs var:html_escape(Lang.Plugins.volume_automount.Button.AutoMountOn) ?></button>
		<?cs /if ?>
	</form></p>
<?cs else ?>
	<?cs call:hint("Plugins.volume_automount.NoAutoMountForEncryptedVolumes") ?>
<?cs /if ?>

<?cs call:help_link("CryptoBoxUserConfiguration") ?>

