#!/bin/sh
#
# example start script to run a local cryptobox webserver
#
# we set some en
#

BIN_DIR=$(dirname "$0")

## add the local python directory to the search path
export PYTHONPATH="$BIN_DIR/../src"

## run the webserver
"$BIN_DIR/CryptoBoxWebserver" --config="$BIN_DIR/cryptobox.conf" --pidfile=/tmp/cryptoboxwebserver.pid --logfile=/tmp/cryptoboxwebser.log --port=8080 --datadir="$BIN_DIR/../www-data" "$@"

